> ## Documentation Index
> Fetch the complete documentation index at: https://docs.phishy.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Clone Template

> Clones an existing template based on the provided ID



## OpenAPI

````yaml POST /templates/{id}/clone
openapi: 3.0.1
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: http://base.url.com
security:
  - apiKey: []
paths:
  /templates/{id}/clone:
    post:
      description: Clones an existing template based on the provided ID
      operationId: cloneTemplate
      requestBody:
        description: Clone template
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  description: Cloned Template Name
      responses:
        '200':
          description: Template successfully cloned
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Template'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: You do not have permission to access this resource
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ForbiddenError'
components:
  schemas:
    Template:
      type: object
      required:
        - id
        - name
        - content
      properties:
        id:
          type: string
          description: Unique identifier for the template
        name:
          type: string
          description: Name of the template
        content:
          type: string
          description: HTML content of the template
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
    ForbiddenError:
      type: object
      required:
        - error
        - message
      properties:
        error:
          type: integer
          format: int32
          description: Error code representing the type of error
          example: 403
        message:
          type: string
          description: A message describing the error
          example: You do not have permission to access this resource.
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-phishy-api-key

````